Subject: N900 sleep mode (in 4.5-rc0, if that matters)

From: [email-masked] (Tony Lindgren)
Date: Mon, 1 Feb 2016 10:13:17 -0800

* Pavel Machek <[email-masked]> [160130 14:16]:
> Hi!
> 
> > > > > ffdffe8d 48004a20 (fa004a20) cm_idlest1_core blocking bits: 00200072
> > > > > 0000000d 48004a28 (fa004a28) cm_idlest3_core
> > > > > 
> > > > > cm_idlest1_core changes periodicall often, to 00218072. The rest seems
> > > > > constant.
> > > > 
> > > > For cm_idlest1_core 42 is the answer.. Here you have bits 4 and 5
> > > > blocking which is for OTG and it's PHY. That's a known issue with
> > > > musb and setting pm_runtime_irq_safe() on the MUSB parent.
> > > > 
> > > > If you do rmmod omap2430 and phy-twl4030usb chances are the LEDs will
> > > > start going off assuming the McSPI bit goes low with WLAN idling.
> > > 
> > > Ok, so I tried to compile kernel without omap2430/phy-twl4030usb
> > > . That did not help. So I thought, ok, maybe rmmod is needed to
> > > trigger some powersaving? But that is not exactly easy to do:
> > > 
> > > pavel at n900:/my/tui/ofone$ sudo insmod /my/modules/omap2430.ko
> > > pavel at n900:/my/tui/ofone$ sudo insmod /my/modules/phy-twl4030-usb.ko
> > > pavel at n900:/my/tui/ofone$ sudo rmmod phy-twl4030-usb.ko
> > > Error: Module phy_twl4030_usb is in use
> > > pavel at n900:/my/tui/ofone$
> > > 
> > > Any ideas what jumps to use the modules? Charger code?
> > 
> > I tried a kernel without charger code, and no luck, rmmod fails the
> > same way. dmesg says:
> > [  111.093078] wlan0: authenticated
> > [  111.097442] wlan0: associate with 06:27:22:f9:10:6a (try 1/3)
> > [  111.104553] wlan0: RX AssocResp from 06:27:22:f9:10:6a (capab=0x421
> > status=0 aid=2)
> > [  111.104705] wlan0: AP has invalid WMM params (AIFSN=1 for ACI 2),
> > will use 2
> > [  111.104736] wlan0: AP has invalid WMM params (AIFSN=1 for ACI 3),
> > will use 2
> > [  111.256652] wlan0: associated
> > [  184.681427] HS USB OTG: no transceiver configured
> > [  184.681488] musb-hdrc musb-hdrc.0.auto: musb_init_controller failed
> > with status -517
> > [  184.681976] HS USB OTG: no transceiver configured
> > [  184.682006] musb-hdrc musb-hdrc.0.auto: musb_init_controller failed
> > with status -517
> > [  187.690338] twl4030_usb 48070000.i2c:twl at 48:twl4030-usb:
> > Initialized TWL4030 USB module
> > [  187.698303] musb-hdrc: ConfigData=0xde (UTMI-8, dyn FIFOs, bulk
> > combine, bulk split, HB-ISO Rx, HB-ISO Tx, SoftConn)
> > [  187.698333] musb-hdrc: MHDRC RTL version 1.400
> > [  187.698333] musb-hdrc: setup fifo_mode 4
> > [  187.698394] musb-hdrc: 28/31 max ep, 16384/16384 memory
> > pavel at n900:/my/tui/ofone$
> 
> I added following hack to phy-twl4030-usb.c so that I could avoid
> modules and module unloading problem. But still could not get it to
> sleep :-(.

Are you sure you're using v4.5-rc? I recently patched away some
issues where rmmod of the musb related modules did not work.

Regards,

Tony